Subject: PR#96 - Page-placement buglet

From: Bob Woodside <[email-masked]>
Date: Thu, 17 Dec 1998 22:19:50 -0500 (EST)

[email-masked] wrote:
> Message summary for PR#96
> 	From: [email-masked]
> 	Subject: StartsOnPage fails if application starts iconic
> 	Date: Thu, 17 Dec 1998 08:15:20 -0600 (CST)
> 
> With:
> Style "xterm"       SkipMapping, StartsOnPage 0 1 1
> in a shell you do: 
> # xterm &    => an xterm starts on desktop 0 page 1 1  :=)
> 
> if you do:
> # xterm -iconic &      => an xterm starts iconic at the page you are :=(

	To recap my explanation for those not folowing the general list:

	The problem is that when a window has the wmhints initial_state
property set to IconicState, *all* the fancy-schmantzy window placement
logic - Smart, Clever, StartsOnPage, or what have you - is bypassed.

	I don't know why this check was in there (placement.c: PlaceWindow) -
possibly the idea was to defer the overhead of position calculation till the
window was actually mapped for the first time? Does anyone have any ideas?

	There's an inconsistency here, because if the window is starting
iconic because of a StartIconic Style spec instead of a wmhint, this doesn't
happen, and the placement logic works as the user expects.

	I removed the two checks for IconicState in PlaceWindow, and it
doesn't seem to cause any ill effects - but that's based on about 5 minutes'
worth of superficial testing, consisting of starting up an xterm as
described in Philippe's bug report.

-Bob

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].